# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# Provides/Requires filtering is different from rpm 4.9 onwards
%global rpm49 %(rpm --version | perl -p -e 's/^.* (\\d+)\\.(\\d+).*/sprintf("%d.%03d",$1,$2) ge 4.009 ? 1 : 0/e' 2>/dev/null || echo 0)

Summary:	Convert to/from RFC1741 HQX7 (Mac BinHex)
Name:		perl-Convert-BinHex
Version:	1.125
Release:	13.%{__distinit}%{__distvers}
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/Convert-BinHex
Source0:	https://cpan.metacpan.org/modules/by-module/Convert/Convert-BinHex-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module Runtime
BuildRequires:	perl(Carp)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(Fcntl)
BuildRequires:	perl(File::Basename)
BuildRequires:	perl(FileHandle)
BuildRequires:	perl(Getopt::Std)
BuildRequires:	perl(integer)
BuildRequires:	perl(POSIX)
BuildRequires:	perl(strict)
BuildRequires:	perl(vars)
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(autodie)
BuildRequires:	perl(File::Compare)
BuildRequires:	perl(File::Slurp)
BuildRequires:	perl(File::Temp) >= 0.17
BuildRequires:	perl(FindBin)
BuildRequires:	perl(lib)
BuildRequires:	perl(Test::Builder) >= 0.65
BuildRequires:	perl(Test::CPAN::Changes)
BuildRequires:	perl(Test::More) >= 0.96
BuildRequires:	perl(Test::Most)
BuildRequires:	perl(Test::Pod) >= 1.00
# Dependencies
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

# Remove bogus Mac::Files dependency (rpm 4.9 onwards)
%global __requires_exclude ^perl\\(Mac::Files\\)

%description
Convert::BinHex - extract data from Macintosh BinHex files.

%prep
%setup -q -n Convert-BinHex-%{version}

# Don't want to ship a script with a security hole
perl -pi -e 's/^use lib .*$//' bin/*.pl

# Kludge to remove bogus Mac::Files dependency (prior to rpm 4.9)
%if ! %{rpm49}
%global reqfilt /bin/sh -c "%{__perl_requires} | grep -Fvx 'perl(Mac::Files)'"
%global __perl_requires %{reqfilt}
%endif

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test RELEASE_TESTING=1
make test TEST_FILES="$(echo $(find xt/ -name '*.t'))"

%files
%if 0%{?_licensedir:1}
%license COPYING LICENSE
%else
%doc COPYING LICENSE
%endif
%doc Changes README*
%{_bindir}/binhex.pl
%{_bindir}/debinhex.pl
%{perl_vendorlib}/Convert/
%{_mandir}/man1/binhex.pl.1*
%{_mandir}/man1/debinhex.pl.1*
%{_mandir}/man3/Convert::BinHex.3*

%changelog
* Tue Aug 27 2019 Paul Howarth <paul@city-fan.org> - 1.125-13
- Add some versioned build requirements missed in previous update

* Sat Jun  8 2019 Paul Howarth <paul@city-fan.org> - 1.125-11
- Modernize spec
  - Switch upstream from search.cpan.org to metacpan.org
  - BR: perl-generators unconditionally
  - BR: perl-interpreter rather than perl
  - Don't explicitly clean buildroot in %%install section
  - Drop explicit %%clean section
  - Drop support for building with File::Temp < 0.17
  - Drop support for building with Test::Builder < 0.65
  - Drop support for building with Test::More < 0.96
  - Drop legacy BuildRoot: and Group: tags

* Mon Aug  1 2016 Paul Howarth <paul@city-fan.org> - 1.125-3
- Fix FTBFS when perl is not in the minimal buildroot
- BR: perl-generators where possible
- Simplify find command using -delete
- Prefer %%global over %%define

* Mon Nov 16 2015 Paul Howarth <paul@city-fan.org> - 1.125-1
- Update to 1.125
  - Made the Test:: modules TEST_REQUIRES (CPAN RT#108523)

* Thu Aug 20 2015 Paul Howarth <paul@city-fan.org> - 1.124-1
- Update to 1.124
  - Changed debinhex to UTF-8
  - Made the Test:: modules optional (CPAN RT#101974)
  - Fixed a manual typo (CPAN RT#88874)
- Only patch the test suite if we need to

* Tue Sep 16 2014 Paul Howarth <paul@city-fan.org> - 1.123-3
- BR: perl(Test::CPAN::Changes) unconditionally
- Drop %%defattr, redundant since rpm 4.4
- Use %%license where possible
- Set RELEASE_TESTING=1 for the main test suite if we have Test::Builder 0.65
  or higher, needed for the Test::CPAN::Changes test

* Sat Sep  7 2013 Paul Howarth <paul@city-fan.org> - 1.123-1
- Update to 1.223
  - Fixed pod error in debinhex and added pod tests
- Drop UTF8 patch, fixed upstream
- Explicitly run the extra tests

* Sun Sep  1 2013 Paul Howarth <paul@city-fan.org> - 1.122-1
- Update to 1.222
  - New upstream maintainer STEPHEN
  - Changes file reformatted
  - Moved to Dist::Zilla's OurPkgVersion for keeping $VERSIONs in sync
  - Added unit tests for OO and CRC code
- This release by STEPHEN -> update source URL
- Package new upstream Changes and LICENSE files
- Package new manpages for scripts
- Specify all dependencies
- Patch the test suite so we don't need a recent Test::More
- Run the release tests if possible
- Test suite requires File::Temp 0.17, so use a local copy of it if the system
  version is too old

* Thu Jun  7 2012 Paul Howarth <paul@city-fan.org> - 1.119-11
- BR: perl(Carp) and perl(Exporter)
- Don't need to remove empty directories from buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT

* Wed Jun 22 2011 Paul Howarth <paul@city-fan.org> - 1.119-10
- Rebuild for perl 5.14.1 in Rawhide
- Make dependency filter work with rpm 4.9.x
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Fri Jun 25 2010 Paul Howarth <paul@city-fan.org> - 1.119-9
- Rebuild for perl 5.12.1 in Rawhide

* Fri May  7 2010 Paul Howarth <paul@city-fan.org> - 1.119-8
- Fix dist tag to work with RHEL6 Beta

* Sat Feb 20 2010 Paul Howarth <paul@city-fan.org> - 1.119-7
- Dist tag for Rawhide no longer needs special-casing
- Use %%{_fixperms} macro instead of our own %%{__chmod} incantation

* Tue Sep  8 2009 Paul Howarth <paul@city-fan.org> - 1.119-6
- Define RPM macros in global scope

* Wed Nov  5 2008 Paul Howarth <paul@city-fan.org> - 1.119-5
- Tweak dist tag macros to work on current Rawhide with three-part releasenum
- Clarify license as GPL version 1 or later, or Artistic (i.e. same as perl)

* Mon Mar 19 2007 Paul Howarth <paul@city-fan.org> - 1.119-4
- Fix dist tag for development releases and Fedora 7 onwards
- Remove %%{__perl_version} macro, used only once
- Remove %%{__perl_package} macro, used only twice
- Remove buildroot unconditionally in %%clean and %%install
- Don't use macros in command paths, hardcode them instead
- Fix argument order for find with -depth
- Use search.cpan.org download URL
- BuildRequire perl(ExtUtils::MakeMaker)
- Define %%{__id_u} in a more portable way
- Simplify requires-filter

* Mon Jul 11 2005 Paul Howarth <paul@city-fan.org> - 1.119-3
- Rewrite spec file in (mainly) Fedora Extras style
- Fix URL
- Use MODULE_COMPAT dependency style and remove explicit perl dependency
- Remove MANIFEST from %%doc
- Fix binaries and %%check
- Add docs

* Tue May  3 2005 Paul Howarth <paul@city-fan.org> - 1.119-2
- Remove dependency on Mac::Files, which is only needed for MacOS
- Put scripts in %%{_bindir} instead of %%{_docdir}

* Thu Jan 27 2005 Paul Howarth <paul@city-fan.org> - 1.119-1
- Initial RPM build
